package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * Author:wangjiabao
 * Date:2022-02-12
 * Content:系统公告
 */
@SuppressWarnings("unused")
public class Announcement extends BaseEntity {
    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("公告类型id")
    @RColumn("idannouncementtype")
    private long idAnnouncementType;

    @Comment("公告类型")
    @RColumn("announcementtype")
    private String announcementType;

    @Comment("公告标题")
    @RColumn("announcementtitle")
    private String announcementTitle;

    @Comment("公告状态")
    @RColumn("announcementstate")
    private int announcementState;

    @Comment("禁用标记，0启用，1禁用")
    @RColumn("voidflag")
    private int voidFlag;

    @Comment("发布人id")
    @RColumn("idreleaseman")
    private long idReleaseMan;

    @Comment("发布人名称")
    @RColumn("releaseman")
    private String releaseMan;

    @Comment("发布时间")
    @RColumn("releasedate")
    private Date  releaseDate;

    @Comment("发布时间long型")
    @RColumn("releasedatelong")
    private long releaseDateLong;

    @Comment("创建人名称")
    @RColumn("createman")
    private String createMan;

    @Comment("公告内容")//单独保存成文件
    private String announcementContent;

    @Comment("公告附件")
    private List<AnnouncementAttachment> attachmentList = new ArrayList<>();

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdAnnouncementType() {
        return idAnnouncementType;
    }

    public void setIdAnnouncementType(long idAnnouncementType) {
        this.idAnnouncementType = idAnnouncementType;
    }

    public String getAnnouncementType() {
        return announcementType;
    }

    public void setAnnouncementType(String announcementType) {
        this.announcementType = announcementType;
    }

    public String getAnnouncementTitle() {
        return announcementTitle;
    }

    public void setAnnouncementTitle(String announcementTitle) {
        this.announcementTitle = announcementTitle;
    }

    public String getAnnouncementContent() {
        return announcementContent;
    }

    public void setAnnouncementContent(String announcementContent) {
        this.announcementContent = announcementContent;
    }

    public int getAnnouncementState() {
        return announcementState;
    }

    public void setAnnouncementState(int announcementState) {
        this.announcementState = announcementState;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public long getIdReleaseMan() {
        return idReleaseMan;
    }

    public void setIdReleaseMan(long idReleaseMan) {
        this.idReleaseMan = idReleaseMan;
    }

    public String getReleaseMan() {
        return releaseMan;
    }

    public void setReleaseMan(String releaseMan) {
        this.releaseMan = releaseMan;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate) {
        this.releaseDate = releaseDate;
    }

    public long getReleaseDateLong() {
        return releaseDateLong;
    }

    public void setReleaseDateLong(long releaseDateLong) {
        this.releaseDateLong = releaseDateLong;
    }

    public List<AnnouncementAttachment> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<AnnouncementAttachment> attachmentList) {
        this.attachmentList = attachmentList;
    }
}
